解决WordPress后台登陆出现Warning: Cannot modify header information – headers already sent by的问题

今天,一个用WordPress搭建的博客在登录后台时上方出现了Warning: Cannot modify header information – headers already sent by (output started at x:\x\wp-config.php:1)的错误,下方登录框等显示正常,但是无法正常登陆。

经过查阅资料,结合其他网友的解决方案,如下操作能完美解决该问题:

将出错的文件(本例是wp-config.php错误)下载到本地;
用记事本打开-另存为-将编码选择为ANSI;
重新上传至原目录。

如果提示不是wp-config.php出错,在查阅资料时也看到了一个因为functions.php文件导致的相同报错,不妨用如下方式尝试解决:

将文件的结束行,最后一个php标识符“?>”下面的空白行全部删除

如果还是不行(但是错误提示的line数字改变了):

试着到前面的文件开头找找,如果有类似的空白行也一并删除

如果有其他问题或者不能解决的,欢迎在这里与我继续探讨。

本站(山顶洞网上部落格 ShanDingDong.Net)所有原创文章版权所有。 请尊重作者劳动成果,如需使用请直接在下方留言申请,谢谢。 未经许可严禁任何形式的引用和转载,违者必究!

Leave a Reply

电子邮件地址不会被公开。 必填项已用*标注